Displaying 15 results from an estimated 15 matches for "all_elements".
2015 Nov 11
2
[PATCH 1/2] dib: Make the interface between cmdline.ml and dib.ml explicit.
...e.element_paths);
);
- let loaded_elements = load_elements ~debug element_paths in
+ let loaded_elements = load_elements ~debug cmdline.element_paths in
if debug >= 1 then (
printf "loaded elements:\n";
Hashtbl.iter (
@@ -488,11 +488,11 @@ let main () =
);
let all_elements = load_dependencies elements loaded_elements in
let all_elements = exclude_elements all_elements
- (excluded_elements @ builtin_elements_blacklist) in
+ (cmdline.excluded_elements @ builtin_elements_blacklist) in
message (f_"Expanded elements: %s") (String.concat " &quo...
2017 Mar 22
7
[PATCH 0/5] dib: initial work to support d-i-b 2.0
Hi,
this series start to implement some of the changes needed to support
d-i-b 2.0; normal VM distro builds seem to work correctly, ramdisk
builds are still broken and require more efforts.
Thanks,
Pino Toscano (5):
dib: implement get_image_element_array stuff
dib: export IMAGE_BLOCK_DEVICE_WITHOUT_PART
dib: extract get_required_tool out of require_tool
dib: require a Python interpreter
2015 Nov 11
0
[PATCH 2/2] dib: Turn a few progress messages into info messages.
...elements);
+ info (f_"Elements: %s") (String.concat " " elements);
if debug >= 1 then (
printf "tmpdir: %s\n" tmpdir;
printf "element paths: %s\n" (String.concat ":" cmdline.element_paths);
@@ -490,10 +490,12 @@ let main () =
let all_elements = exclude_elements all_elements
(cmdline.excluded_elements @ builtin_elements_blacklist) in
- message (f_"Expanded elements: %s") (String.concat " " (StringSet.elements all_elements));
+ info (f_"Expanded elements: %s")
+ (String.concat " " (St...
2016 Aug 03
0
[PATCH] dib: rework run of extra-data.d hooks (RHBZ#1362354)
...b/dib.ml b/dib/dib.ml
index 87af4eb..17775d8 100644
--- a/dib/dib.ml
+++ b/dib/dib.ml
@@ -69,13 +69,15 @@ let envvars_string l =
let prepare_external ~envvars ~dib_args ~dib_vars ~out_name ~root_label
~rootfs_uuid ~image_cache ~arch ~network ~debug
- destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
+ destdir libdir hooksdir fakebindir all_elements element_paths =
let network_string = if network then "" else "1" in
let run_extra = sprintf "\
#!/bin/bash
set -e
%s
+mount_dir=$1
+shift
target_dir=$1
shift
script=$1
@@ -87,7 +89,7 @@ shift...
2017 Mar 22
0
[PATCH 4/5] dib: require a Python interpreter
...1df9aff..ab5481a 100644
--- a/dib/dib.ml
+++ b/dib/dib.ml
@@ -74,6 +74,7 @@ let envvars_string l =
let prepare_external ~envvars ~dib_args ~dib_vars ~out_name ~root_label
~rootfs_uuid ~image_cache ~arch ~network ~debug ~fs_type ~checksum
+ ~python
destdir libdir fakebindir loaded_elements all_elements element_paths =
let network_string = if network then "" else "1" in
let checksum_string = if checksum then "1" else "" in
@@ -123,6 +124,7 @@ export TMP_DIR=\"${TMPDIR}\"
export DIB_DEBUG_TRACE=%d
export FS_TYPE=%s
export DIB_CHECKSUM=%s
+e...
2015 Mar 31
0
[PATCH] WIP: New virt-dib tool
...rgs xs
+
+let write_script fn text =
+ let oc = open_out fn in
+ output_string oc text;
+ flush oc;
+ close_out oc;
+ chmod fn 0o755
+
+let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid ~image_cache
+ ~arch ~network ~debug
+ destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
+ let network_string = if network then "" else "1" in
+
+ let run_extra = sprintf "\
+#!/bin/bash
+%s
+target_dir=$1
+shift
+script=$1
+shift
+
+export PATH=%s:$PATH
+
+# d-i-b variables
+export TMP_MOUNT_PATH=%s
+export DIB_OFFLINE=%s
+export IMAGE_NAME=\...
2015 Jun 16
2
[PATCH v4] RFC: New tool: virt-dib
...s
+
+let write_script fn text =
+ let oc = open_out fn in
+ output_string oc text;
+ flush oc;
+ close_out oc;
+ Unix.chmod fn 0o755
+
+let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid
+ ~image_cache ~arch ~network ~debug
+ destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
+ let network_string = if network then "" else "1" in
+
+ let run_extra = sprintf "\
+#!/bin/bash
+%s
+target_dir=$1
+shift
+script=$1
+shift
+
+export PATH=%s:$PATH
+
+# d-i-b variables
+export TMP_MOUNT_PATH=%s
+export DIB_OFFLINE=%s
+export IMAGE_NAME=\...
2015 May 29
0
[PATCH v3] RFC: New virt-dib tool
...s
+
+let write_script fn text =
+ let oc = open_out fn in
+ output_string oc text;
+ flush oc;
+ close_out oc;
+ Unix.chmod fn 0o755
+
+let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid
+ ~image_cache ~arch ~network ~debug
+ destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
+ let network_string = if network then "" else "1" in
+
+ let run_extra = sprintf "\
+#!/bin/bash
+%s
+target_dir=$1
+shift
+script=$1
+shift
+
+export PATH=%s:$PATH
+
+# d-i-b variables
+export TMP_MOUNT_PATH=%s
+export DIB_OFFLINE=%s
+export IMAGE_NAME=\...
2016 Aug 03
3
[PATCH] mllib: move _exit from v2v as Exit module
Move the OCaml binding to C _exit to an own module.
Just code motion, adapting v2v in the process.
---
docs/C_SOURCE_FILES | 2 +-
mllib/Makefile.am | 5 ++++-
mllib/exit-c.c | 33 +++++++++++++++++++++++++++++++++
mllib/exit.ml | 19 +++++++++++++++++++
mllib/exit.mli | 20 ++++++++++++++++++++
v2v/Makefile.am | 1 -
v2v/changeuid-c.c | 33
2015 Jul 03
1
[PATCH v5] New tool: virt-dib
...s
+
+let write_script fn text =
+ let oc = open_out fn in
+ output_string oc text;
+ flush oc;
+ close_out oc;
+ Unix.chmod fn 0o755
+
+let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid
+ ~image_cache ~arch ~network ~debug
+ destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
+ let network_string = if network then "" else "1" in
+
+ let run_extra = sprintf "\
+#!/bin/bash
+set -e
+%s
+target_dir=$1
+shift
+script=$1
+shift
+
+export PATH=%s:$PATH
+
+# d-i-b variables
+export TMP_MOUNT_PATH=%s
+export DIB_OFFLINE=%s
+export IMAG...
2017 Feb 02
7
[PATCH 0/6] dib: various improvements
Hi,
this series improves virt-dib, adding some upstream changes, and
refactoring the handling of output formats.
Thanks,
Pino Toscano (6):
dib: clear up "already provided" message
dib: add --checksum
dib: pass custom mkfs options after the filesystem type
dib: refactor output formats handling
dib: clarify "output:" lines in --machine-readable documentation
dib:
2017 Feb 14
14
[PATCH 00/10] dib/API: improvements and fixes
Hi,
this patch series does changes mostly in virt-dib, few bug fixes and
a couple of new features (mostly implemented upstream already).
In addition, one new API is added, and a new optional argument for an
existing API is added (the latter is not needed, but could be useful
anyway).
Thanks,
Pino Toscano (10):
dib: fix listing envvars in fake-sudo
dib: source dib "die" script in
2015 Jun 30
0
Re: [PATCH v4] RFC: New tool: virt-dib
...d you don't
need the comment. However when packaging it for Fedora we'll need to
split out the dependencies again.
> +let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid
> + ~image_cache ~arch ~network ~debug
> + destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
> + let network_string = if network then "" else "1" in
> +
> + let run_extra = sprintf "\
> +#!/bin/bash
There are a bunch of embedded bash scripts. Probably they need to use
'set -e'. Quoting seems OK, but if there are any quotes w...
2015 Nov 10
1
[PATCH] OCaml tools: use open_guestfs everywhere
...memsize memsize);
(match smp with None -> () | Some smp -> g#set_smp smp);
diff --git a/dib/dib.ml b/dib/dib.ml
index caf13f2..1ae8876 100644
--- a/dib/dib.ml
+++ b/dib/dib.ml
@@ -626,9 +626,7 @@ let main () =
let is_ramdisk_build = is_ramdisk || StringSet.mem "ironic-agent" all_elements in
let g, tmpdisk, tmpdiskfmt, drive_partition =
- let g = new G.guestfs () in
- if verbose () then g#set_verbose true;
- if trace () then g#set_trace true;
+ let g = open_guestfs () in
(match memsize with None -> () | Some memsize -> g#set_memsize memsize);
(matc...
2015 Jul 01
1
Re: [PATCH v4] RFC: New tool: virt-dib
..."flavours") with own sets of extra packages, tailored for
specific usages (e.g. rescue, dib, etc).
> > +let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid
> > + ~image_cache ~arch ~network ~debug
> > + destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
> > + let network_string = if network then "" else "1" in
> > +
> > + let run_extra = sprintf "\
> > +#!/bin/bash
>
> There are a bunch of embedded bash scripts. Probably they need to use
> 'set -e'. Quoting seem...